References
All operations require authentication.
List regionsProduction
Returns the regions where a service can be ordered, with their certifications and the KMIP and REST endpoints of each.
Headers
Pagination cursor
Pagination size
Response
Certifications of the region
HDSPCI_DSSSNCSOC2STANDARDTRUSTED_ZONEName of the region
ap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbgKMS kmip API endpoint
KMS rest API endpoint
General typology of the region
LOCAL-ZONEREGION-1-AZREGION-3-AZReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ okms/ reference/ regions \
-H "authorization: Bearer $OVH_TOKEN"[ { "certifications": [ "HDS" ], "id": "ap-south-mum", "kmipEndpoint": "string", "restEndpoint": "string", "type": "LOCAL-ZONE" }]
Get the default secret configurationProduction
Returns the default secret settings of a region: whether cas is required and the number of versions to keep.
Query parameters
OKMS Region
ap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbgResponse
The cas parameter will be required for all write requests if set to true
The number of versions to keep
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ okms/ reference/ secretConfig \
-H "authorization: Bearer $OVH_TOKEN"{ "casRequired": true, "maxVersions": 0}
Get valid service key parameters combinationsProduction
Returns the valid combinations of key type, size, curve, operations and protection level for a region. Use it before creating or importing a service key.
Query parameters
OKMS Region
ap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-waweu-south-mileu-west-erieu-west-graeu-west-limeu-west-pareu-west-rbxeu-west-sbgHeaders
Pagination cursor
Pagination size
Response
Allowed service key curves for type
Is default service key type?
Allowed service key operations for type
Allowed protection level for type
Allowed service key sizes for type
Service key type
ECRSAoctReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ okms/ reference/ serviceKey \
-H "authorization: Bearer $OVH_TOKEN"[ { "curves": [ { "default": true, "value": "P-256" } ], "default": true, "operations": [ { "default": true, "value": [ "decrypt" ] } ], "protectionLevel": [ { "default": true, "value": "HSM" } ], "sizes": [ { "default": true, "value": 128 } ], "type": "EC" }]